<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'parc_auto';

		/* data for selected record, or defaults if none is selected */
		var data = {
			marque: <?php echo json_encode(array('id' => $rdata['marque'], 'value' => $rdata['marque'], 'text' => $jdata['marque'])); ?>,
			model: <?php echo json_encode($jdata['model']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for marque */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'marque' && d.id == data.marque.id)
				return { results: [ data.marque ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for marque autofills */
		cache.addCheck(function(u, d){
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'marque' && d.id == data.marque.id){
				$j('#model' + d[rnd]).html(data.model);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

